{
  "namespace": "io.axual.client.test",
  "doc": "Decided when to forward a timestamp",
  "name": "TimeAlert",
  "type": "record",
  "fields": [
    {
      "doc": "Timestamp of the event to match against",
      "name": "timestamp",
      "type": "long"
    },
    {
      "doc": "The rule to match against",
      "name": "matcher",
      "type": {
        "type": "enum",
        "name": "MatchRule",
        "symbols": [
          "BEFORE",
          "AFTER"
        ]
      }
    }
  ]
}
